Policy text overview
curl --request GET \
--url https://astreus.ai/api/v1/countries/{iso}/policy-text \
--header 'X-API-KEY: <api-key>'import requests
url = "https://astreus.ai/api/v1/countries/{iso}/policy-text"
headers = {"X-API-KEY": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-KEY': '<api-key>'}};
fetch('https://astreus.ai/api/v1/countries/{iso}/policy-text', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://astreus.ai/api/v1/countries/{iso}/policy-text",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"X-API-KEY: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://astreus.ai/api/v1/countries/{iso}/policy-text"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("X-API-KEY", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://astreus.ai/api/v1/countries/{iso}/policy-text")
.header("X-API-KEY", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://astreus.ai/api/v1/countries/{iso}/policy-text")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["X-API-KEY"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"iso2": "US",
"institution": "Federal Reserve",
"available": true,
"coverage": [
{
"docType": "fomc_statement",
"documents": 263,
"analyzedDocuments": 23,
"observations": 291,
"firstEventDate": "1994-02-04",
"lastEventDate": "2026-10-28"
},
{
"docType": "fomc_minutes",
"documents": 270,
"analyzedDocuments": 21,
"observations": 6218,
"firstEventDate": "1993-03-26",
"lastEventDate": "2026-10-07"
}
],
"latest": [
{
"documentId": 84316,
"externalId": "stmt-20261028a",
"docType": "fomc_statement",
"title": "Federal Reserve issues FOMC statement",
"eventDate": "2026-10-28",
"meetingDate": "2026-10-28",
"speaker": null,
"district": null,
"sourceUrl": "https://www.federalreserve.gov/newsevents/pressreleases/monetary20261028a.htm",
"venue": null,
"subtype": null,
"unscheduled": false,
"observationCount": 0,
"byteSize": 1527
},
{
"documentId": 81310,
"externalId": "speech-bowman20261014a",
"docType": "fed_speech",
"title": "Supervisory Modernization After Silicon Valley Bank",
"eventDate": "2026-10-14",
"meetingDate": null,
"speaker": "Vice Chair for Supervision Michelle W. Bowman",
"district": null,
"sourceUrl": "https://www.federalreserve.gov/newsevents/speech/bowman20261014a.htm",
"venue": "At the Bangkok Economic Festival, Reinventing Bretton Woods Committee, Bangkok, Thailand",
"subtype": null,
"unscheduled": null,
"observationCount": 0,
"byteSize": 13587
}
],
"analysisWindow": {
"start": "2024-01-03",
"end": "2026-07-15"
},
"pulse": [
{
"concept": "employment",
"mentions": 112,
"netDirection": 0.47058823529411764,
"forwardShare": 0,
"docTypes": [
"beige_book"
],
"sampleObservationId": 489021
},
{
"concept": "monetary policy stance",
"mentions": 23,
"netDirection": 0,
"forwardShare": 0.30434782608695654,
"docTypes": [
"fed_speech",
"fomc_minutes"
],
"sampleObservationId": 493604
}
]
}{
"error": "<string>",
"code": "unknown_parameter",
"param": "<string>",
"allowed": [
"<string>"
]
}{
"error": "<string>",
"code": "unknown_parameter",
"param": "<string>",
"allowed": [
"<string>"
]
}{
"error": "<string>",
"code": "unknown_parameter",
"param": "<string>",
"allowed": [
"<string>"
]
}{
"error": "<string>",
"code": "unknown_parameter",
"param": "<string>",
"allowed": [
"<string>"
]
}Macro
Policy text overview
Central-bank text corpus summary: coverage, the newest release of each type and the concepts discussed (US Federal Reserve; UAE Central Bank). available=false for a country with no corpus.
GET
/
api
/
v1
/
countries
/
{iso}
/
policy-text
Policy text overview
curl --request GET \
--url https://astreus.ai/api/v1/countries/{iso}/policy-text \
--header 'X-API-KEY: <api-key>'import requests
url = "https://astreus.ai/api/v1/countries/{iso}/policy-text"
headers = {"X-API-KEY": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-KEY': '<api-key>'}};
fetch('https://astreus.ai/api/v1/countries/{iso}/policy-text', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://astreus.ai/api/v1/countries/{iso}/policy-text",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"X-API-KEY: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://astreus.ai/api/v1/countries/{iso}/policy-text"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("X-API-KEY", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://astreus.ai/api/v1/countries/{iso}/policy-text")
.header("X-API-KEY", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://astreus.ai/api/v1/countries/{iso}/policy-text")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["X-API-KEY"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"iso2": "US",
"institution": "Federal Reserve",
"available": true,
"coverage": [
{
"docType": "fomc_statement",
"documents": 263,
"analyzedDocuments": 23,
"observations": 291,
"firstEventDate": "1994-02-04",
"lastEventDate": "2026-10-28"
},
{
"docType": "fomc_minutes",
"documents": 270,
"analyzedDocuments": 21,
"observations": 6218,
"firstEventDate": "1993-03-26",
"lastEventDate": "2026-10-07"
}
],
"latest": [
{
"documentId": 84316,
"externalId": "stmt-20261028a",
"docType": "fomc_statement",
"title": "Federal Reserve issues FOMC statement",
"eventDate": "2026-10-28",
"meetingDate": "2026-10-28",
"speaker": null,
"district": null,
"sourceUrl": "https://www.federalreserve.gov/newsevents/pressreleases/monetary20261028a.htm",
"venue": null,
"subtype": null,
"unscheduled": false,
"observationCount": 0,
"byteSize": 1527
},
{
"documentId": 81310,
"externalId": "speech-bowman20261014a",
"docType": "fed_speech",
"title": "Supervisory Modernization After Silicon Valley Bank",
"eventDate": "2026-10-14",
"meetingDate": null,
"speaker": "Vice Chair for Supervision Michelle W. Bowman",
"district": null,
"sourceUrl": "https://www.federalreserve.gov/newsevents/speech/bowman20261014a.htm",
"venue": "At the Bangkok Economic Festival, Reinventing Bretton Woods Committee, Bangkok, Thailand",
"subtype": null,
"unscheduled": null,
"observationCount": 0,
"byteSize": 13587
}
],
"analysisWindow": {
"start": "2024-01-03",
"end": "2026-07-15"
},
"pulse": [
{
"concept": "employment",
"mentions": 112,
"netDirection": 0.47058823529411764,
"forwardShare": 0,
"docTypes": [
"beige_book"
],
"sampleObservationId": 489021
},
{
"concept": "monetary policy stance",
"mentions": 23,
"netDirection": 0,
"forwardShare": 0.30434782608695654,
"docTypes": [
"fed_speech",
"fomc_minutes"
],
"sampleObservationId": 493604
}
]
}{
"error": "<string>",
"code": "unknown_parameter",
"param": "<string>",
"allowed": [
"<string>"
]
}{
"error": "<string>",
"code": "unknown_parameter",
"param": "<string>",
"allowed": [
"<string>"
]
}{
"error": "<string>",
"code": "unknown_parameter",
"param": "<string>",
"allowed": [
"<string>"
]
}{
"error": "<string>",
"code": "unknown_parameter",
"param": "<string>",
"allowed": [
"<string>"
]
}Authorizations
apiKeycognitoIdToken
Astreus API key (pk_live_...), created on the Developers page in the terminal. Also accepted as Authorization: Bearer pk_live_....
Path Parameters
ISO 3166-1 alpha-2 country code (e.g. US).
Response
OK
Inferred from captured responses: every field shown was returned by a real call; a field may be absent or null on other calls.